#include<iostream>
#include<conio.h>
using namespace std;
class APowerBClass
{
	private :
		int i;
	public :
		double A, N;
		int B;
		void Calculate()
		{
			for(i = 2; i <= B; i++)
				N *= A;
		}
};

int main()
{
	APowerBClass A;
	cout << "be tartib A va B ra vared konid : ";
	cin >> A.A >> A.B;
	A.N = A.A;
	A.Calculate();
	cout << "Natije = " << A.N << endl;
	getch();
}

